## NAME

d.where - Identifies the geographic coordinates associated with point locations in the active frame on the graphics monitor.

## SYNOPSIS

d.where
d.where help
d.where [-1dlw]

### Flags:

-1
  one mouse click only
-d
  Output lat/long in decimal degree
-l
  Output lat/long referenced to current ellipsoid
-w
  Output lat/long referenced to WGS84 ellipsoid using datum transformation parameters defined in current location if available

## DESCRIPTION

d.where is an interactive program that allows the user, using the pointing device (mouse), to identify the geographic coordinates associated with point locations within the current geographic region in the active display frame on the graphics monitor.

Each mouse click will output the easting and northing of the point currently located beneath the mouse pointer. A mouse-button menu is presented so the user knows which mouse buttons to use. The output is always printed to the terminal screen; if the output is redirected into a file, it will be written to the file as well.

Mouse buttons:

         Left:   where am i
         Middle: draw to/from here
         Right:  quit this

The left mouse button prints the coordinates at the selected point, the middle mouse button allows to query two points (they are connected by a line for convenience). By using the right mouse button the module is left.

### Flags:

d.where -[1dlw]
-1
  Only one mouse click is executed.
  This option is provided for shell scripts and programs which want to obtain only one point from the user. The output is only written to stdout, unless redirected into a file. The geographic location and mouse button pressed are output.
-d
  Output lat/long in decimal degree
-l
  Output lat/long referenced to current ellipsoid
-w
  Output lat/long referenced to WGS84 ellipsoid using datum transformation parameters defined in current location if available

## NOTES

This program uses the current geographic region setting and active frame. It is not necessary, although useful, to have displayed a map in the current frame before running d.where. The -d flag allows to optionally output latitude/longitude coordinates pair(s) in decimal degree rather than DD:MM:SS format. The -w flag is only valid if a datum is defined for the current location.

## SEE ALSO

d.what.rast
d.what.vect
g.region

## AUTHORS

James Westervelt,
Michael Shapiro,
U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2003/04/15 19:50:31 $

Help Index